/* D-RexGxt - D-RexGxt - GUI Design Tool for GWT
 * Copyright (c) 2008,  KPS Corporation
 * All rights reserved.
 *
 * Open Source License
 * ------------------------------------------------------------------------------------------
 * D-RexGxt is licensed under the terms of the Open Source GPL 3.0 license.
 *
 * http://www.gnu.org/licenses/gpl.html
 *
 * --
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 */
package jp.co.kpscorp.gwt.client.design.gxt.widget;

import com.extjs.gxt.ui.client.widget.Component;
import com.extjs.gxt.ui.client.widget.layout.LayoutData;

public class LayoutDataWidget extends WrapWidget {
	private LayoutData data;

	private Component comp;

	public LayoutDataWidget(LayoutData data, Component parent) {
		super();
		this.data = data;
		this.comp = parent;
	}

	public LayoutData getWrapLayoutData() {
		return data;
	}

	public Component getParent() {
		return comp;
	}

	public void setParent(Component comp) {
		this.comp = comp;
	}

}
